OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000943OMNeT++simulation kernelpublic2015-12-11 13:442017-01-11 20:07
Reportertill 
Assigned Torhornig 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.0b1 
Target VersionFixed in Version5.0 
Summary0000943: cDatarateChannel: busy vector failes on forceTransmissionFinishTime()
DescriptionWhen using forceTransmissionFinishTime() in cDatarateChannel and afterwards receiving a packet with processMessage() before the last txFinishTime would be over the simulation fails due to wrong order of timestamps in the vector.

The problem is that txFinishTime is already emitted on processMessage(), but at that time it cannot be assured that the transmissionFinishTime is not forced.
Additional InformationProposed solution is attached:

- emit txFinishTime only on next processMessage() or finish() (for last emit)
TagsNo tags attached.
Attached Files? file icon cdataratechannel.h [^] (7,337 bytes) 2015-12-11 13:44
patch file icon cdataratechannel.h.patch [^] (431 bytes) 2015-12-11 13:44 [Show Content]
patch file icon cdataratechannel.cc.patch [^] (1,368 bytes) 2015-12-11 13:45 [Show Content]

- Relationships

-  Notes
(0001155)
till (reporter)
2015-12-11 13:47

Sorry, the header upload was a mistake, I wanted to select the patch file
(0001156)
till (reporter)
2015-12-11 14:53

Please note: Patch is only compatible with OMNeT++ 5.0

- Issue History
Date Modified Username Field Change
2015-12-11 13:44 till New Issue
2015-12-11 13:44 till File Added: cdataratechannel.h
2015-12-11 13:44 till File Added: cdataratechannel.h.patch
2015-12-11 13:45 till File Added: cdataratechannel.cc.patch
2015-12-11 13:47 till Note Added: 0001155
2015-12-11 14:53 till Note Added: 0001156
2016-04-01 14:13 rhornig Status new => resolved
2016-04-01 14:13 rhornig Fixed in Version => 5.0
2016-04-01 14:13 rhornig Resolution open => fixed
2016-04-01 14:13 rhornig Assigned To => rhornig


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker